/*
 * Code example disclaimer
 * IBM grants you a nonexclusive copyright license to use all programming code
 * examples from which you can generate similar function tailored to your own
 * specific needs.
 * All sample code is provided by IBM for illustrative purposes only.
 * These examples have not been thoroughly tested under all conditions.
 * IBM, therefore, cannot guarantee or imply reliability, serviceability, or
 * function of these programs.
 * All programs contained herein are provided to you "AS IS" without any
 * warranties of any kind.
 * The implied warranties of non-infringement, merchantability and fitness
 * for a particular purpose are expressly disclaimed.
 *
 *
 *
 * This native method implements the getStringNative method of class
 * PaseExample1. It uses the JNI function CallObjectMethod to call back to
 * the getStringCallback method of class PaseExample1.
 *
 * Compile this code in AIX to create module 'libPaseExample1.so'.
 *
 */

#include "PaseExample1.h"
#include <stdlib.h>

/*
 * Class:     PaseExample1
 * Method:    getStringNative
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_PaseExample1_getStringNative(JNIEnv* env, jobject obj) {
   char* methodName = "getStringCallback";
   char* methodSig = "()Ljava/lang/String;";
   jclass clazz = (*env)->GetObjectClass(env, obj); 
   jmethodID methodID = (*env)->GetMethodID(env, clazz, methodName, methodSig);
   return (*env)->CallObjectMethod(env, obj, methodID); 
}

